language: node_js
os: linux
dist: xenial
node_js:
  - 10
  - 12
  - 14
addons:
  chrome: stable
  firefox: latest
    # TODO (#2114): re-enable osx build.
    # - os: osx
    #   node_js: stable
    #   osx_image: xcode8.3
    #   addons:
    #     firefox: latest
env:
  - TRAVIS_CI=true
before_script:
  - export DISPLAY=:99.0
  - if [ "${TRAVIS_OS_NAME}" == "linux" ]; then ( tests/scripts/setup_linux_env.sh ) fi
  - if [ "${TRAVIS_OS_NAME}" == "osx" ]; then ( tests/scripts/setup_osx_env.sh ) fi
  - sleep 2
script:
  - npm run test:run
